<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<div id="nav-login-content">
  <%= styled_form_tag({controller: '/account', action: "login"},
                      autocomplete: 'off', class: '-vertical') do %>
    <%= back_url_to_current_page_hidden_field_tag %>

    <div class="grid-block">
      <div class="form--field -required">
        <%= styled_label_tag 'username-pulldown', User.human_attribute_name(:login) %>
        <div class="form--field-container">
          <%= styled_text_field_tag 'username', nil, id: 'username-pulldown', tabindex: 1, autocapitalize: 'none' %>
        </div>
        <div class="form--field-extra-actions">
          <% if Setting::Autologin.enabled? %>
            <label class="form--label-with-check-box -no-ellipsis">
              <%= styled_check_box_tag 'autologin', 1, false, id: 'autologin-pulldown' %>
              <%= t('users.autologins.prompt', num_days: I18n.t('datetime.distance_in_words.x_days', count: Setting.autologin)) %>
            </label>
          <% elsif Setting::SelfRegistration.enabled? %>
            <%# show here if autologin is disabled, otherwise below lost_password link %>
              <%= link_to t(:label_register),
                account_register_path,
                title: t(:label_register) %>
          <% end %>
        </div>
      </div>

      <div class="form--field -required">
        <%= styled_label_tag 'password-pulldown', User.human_attribute_name(:password) %>
        <div class="form--field-container">
          <%= styled_password_field_tag 'password', nil, id: 'password-pulldown', tabindex: 1 %>
        </div>
        <div class="form--field-extra-actions">
          <% if Setting.lost_password? %>
            <%= link_to t(:label_password_lost), {controller: '/account', action: 'lost_password'} %>
          <% end %>
          <% if Setting::Autologin.enabled? && Setting::SelfRegistration.enabled? %>
            <%# show here if autologin is enabled, otherwise below login field %>
            <%= '<br>'.html_safe if Setting.lost_password? %>
            <%= link_to t(:label_register),
                  account_register_path,
                  title: t(:label_register) %>
          <% end %>
        </div>
      </div>

      <div class="form--field">
        <label class="form--label" for="login-pulldown">
          &nbsp;
        </label>
        <input type="submit" name="login" id="login-pulldown"
               value="<%=t(:button_login)%>" class="button -primary button_no-margin" tabindex="1" />
      </div>
    </div>

    <%= render partial: 'account/auth_providers' %>
  <% end %>
</div>
